From 8a220892ede74dd7032eb01679adc8ee03cedb4a Mon Sep 17 00:00:00 2001
From: zubin <imzubin@localhost.localdomain>
Date: Jul 04 2019 08:07:42 +0000
Subject: [PATCH 4/18] image and object orientation


---

diff --git a/src/bodhiCalls.py b/src/bodhiCalls.py
index 6cefb1b..79fad0e 100644
--- a/src/bodhiCalls.py
+++ b/src/bodhiCalls.py
@@ -1,13 +1,12 @@
+# import iniparse
+# import ini
 import requests
+import dnf
 from fedora.client.bodhi import Bodhi2Client
 import pprint
-bc = Bodhi2Client()
-
+bc = Bodhi2Client(base_url='https://bodhi.fedoraproject.org/', username="imzubin", password="neverfallin10v3")
 args = {}
 
-args["releases"] = "30"
-args["limit"] = "1"
-
-args.pop('limit', None)
 
-print(bc.query(**args))
+x = bc.csrf()
+print(x)
\ No newline at end of file
diff --git a/src/main.py b/src/main.py
index 72f6290..a114213 100644
--- a/src/main.py
+++ b/src/main.py
@@ -8,60 +8,71 @@ from PyQt5 import QtCore, QtGui, QtWidgets
 
 json_file = open("data/test.json","r")
 data = json.load(json_file)
-    
 
-def fetch_list():
-    for p in data['updates']:
-        ui.listWidget.addItem(p['title'])
+class Main():
+        def __init__(self):
+        
+                app = QtWidgets.QApplication(sys.argv)
+                MainWindow = QtWidgets.QMainWindow()
+                self.ui = Ui_MainWindow()
+                self.ui.setupUi(MainWindow)
+        
+                self.fetch_list()
+                self.ui.listWidget.itemSelectionChanged.connect(self.selected)
+                self.ui.lineEdit.textEdited.connect(self.searching)
+                
+                self.image = QtGui.QPixmap("/home/imzubin/projects/fedora-gooey-karma/assets/image.png")
+        
+                MainWindow.show()
+                sys.exit(app.exec_())
 
-def populate_comments(t):
-    try:
-        for comments in t['comments']:
-            comment = QtWidgets.QTreeWidgetItem()
-            comment.setText(0, str(comments['id']))
-            comment.setText(1, str(comments['karma']))
-            comment.setText(2, str(comments['user']['name']))
-            comment.setText(3, str(comments['text']))
-            ui.treeWidget_comment.insertTopLevelItem(0,comment)
-    except:
-        pass 
-def selected():
-    try:
-        t = ui.listWidget.selectedItems()
-        for p in data['updates']:
-                if p['title']== t[0].text():
-                    ui.Package_name_main.setText(p['title'])
-                    ui.Package_breif.setText(p['alias'])
-                    ui.Status.setText(p['status'])
-                    ui.Date_submitted.setText(p["date_submitted"])
-                    ui.Submit_user.setText(p['user']['name'])
-                    ui.Request.setText(p['request'])
-                    ui.Karma.setText(str(p['karma']))
-                    ui.Release_notes.setText(p['notes'])
-                    ui.treeWidget_comment.clear()
-                    populate_comments(p)
-            
-    except:
-            pass #added this because clearing searchbar causes and index error TODO
 
-def searching():
-    with open("data/test.json") as json_file:
-        data = json.load(json_file)
-        ui.listWidget.clear()
-        for p in data['updates']:
-            if str(ui.lineEdit.text()) in p['title']:
-                ui.listWidget.addItem(p['title'])
+        def fetch_list(self):
+                for p in data['updates']:
+                        self.ui.listWidget.addItem(p['title'])
 
+        def populate_comments(self, t):
+                try:
+                        for comments in t['comments']:
+                                comment = QtWidgets.QTreeWidgetItem()
+                                comment.setText(0, str(comments['id']))
+                                comment.setText(1, str(comments['karma']))
+                                comment.setText(2, str(comments['user']['name']))
+                                comment.setText(3, str(comments['text']))
+                                self.ui.treeWidget_comment.insertTopLevelItem(0,comment)
+                except:
+                        pass
 
-if __name__ == "__main__":
-    app = QtWidgets.QApplication(sys.argv)
-    MainWindow = QtWidgets.QMainWindow()
-    ui = Ui_MainWindow()
-    ui.setupUi(MainWindow)
 
-    fetch_list()
-    ui.listWidget.itemSelectionChanged.connect(selected)
-    ui.lineEdit.textEdited.connect(searching)
-    
-    MainWindow.show()
-    sys.exit(app.exec_())
\ No newline at end of file
+        def selected(self):
+                try:
+                        t = self.ui.listWidget.selectedItems()
+                        for p in data['updates']:
+                                if p['title']== t[0].text():
+                                        self.ui.Package_name_main.setText(p['title'])
+                                        self.ui.Package_breif.setText(p['alias'])
+                                        self.ui.Status.setText(p['status'])
+                                        self.ui.Date_submitted.setText(p["date_submitted"])
+                                        self.ui.Submit_user.setText(p['user']['name'])
+                                        self.ui.Request.setText(p['request'])
+                                        self.ui.Karma.setText(str(p['karma']))
+                                        self.ui.Release_notes.setText(p['notes'])
+                                        self.ui.treeWidget_comment.clear()
+                                        self.ui.UpdateType.setPixmap(self.image)
+                                        self.populate_comments(p)
+                        
+                except Exception as e:
+                        print(e)
+                        pass
+
+        def searching(self):
+                with open("data/test.json") as json_file:
+                        data = json.load(json_file)
+                        self.ui.listWidget.clear()
+                        for p in data['updates']:
+                                if str(self.ui.lineEdit.text()) in p['title']:
+                                        self.ui.listWidget.addItem(p['title'])
+
+
+if __name__ == "__main__":
+        app = Main()
\ No newline at end of file
diff --git a/src/ui/MainWindow.ui b/src/ui/MainWindow.ui
index 95e51f1..f733647 100644
--- a/src/ui/MainWindow.ui
+++ b/src/ui/MainWindow.ui
@@ -36,30 +36,8 @@
        <enum>QFrame::Raised</enum>
       </property>
       <layout class="QGridLayout" name="gridLayout_2">
-       <item row="8" column="3" colspan="7">
-        <widget class="QLabel" name="Release_notes">
-         <property name="text">
-          <string>TextLabel</string>
-         </property>
-        </widget>
-       </item>
-       <item row="6" column="3" colspan="4">
-        <widget class="QLabel" name="Package_name_main">
-         <property name="font">
-          <font>
-           <family>OpenSymbol</family>
-           <pointsize>22</pointsize>
-           <weight>50</weight>
-           <bold>false</bold>
-          </font>
-         </property>
-         <property name="text">
-          <string>Package Name</string>
-         </property>
-        </widget>
-       </item>
-       <item row="12" column="3">
-        <widget class="QLabel" name="Karma_static">
+       <item row="8" column="3">
+        <widget class="QLabel" name="Release_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -75,15 +53,15 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Karma</string>
+          <string>Release</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="9" column="3">
-        <widget class="QLabel" name="Release_static">
+       <item row="11" column="3">
+        <widget class="QLabel" name="Karma_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -99,20 +77,20 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Release</string>
+          <string>Karma</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="10" column="3">
-        <widget class="QLabel" name="Date_static">
+       <item row="11" column="6">
+        <widget class="QLabel" name="Submit_user">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <weight>75</weight>
-           <bold>true</bold>
+           <weight>50</weight>
+           <bold>false</bold>
            <kerning>true</kerning>
           </font>
          </property>
@@ -123,151 +101,44 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>date submitted</string>
+          <string>Username</string>
          </property>
          <property name="alignment">
-          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="7" column="3">
-        <widget class="QLabel" name="Package_breif">
+       <item row="11" column="5">
+        <widget class="QLabel" name="Submitter_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <pointsize>12</pointsize>
-           <weight>50</weight>
-           <bold>false</bold>
+           <weight>75</weight>
+           <bold>true</bold>
+           <kerning>true</kerning>
           </font>
          </property>
-         <property name="text">
-          <string>breif</string>
-         </property>
-        </widget>
-       </item>
-       <item row="23" column="6" colspan="2">
-        <widget class="QPushButton" name="pushButton">
-         <property name="text">
-          <string>Submit</string>
-         </property>
-        </widget>
-       </item>
-       <item row="4" column="3">
-        <widget class="QGraphicsView" name="UpdateType">
-         <property name="maximumSize">
-          <size>
-           <width>32</width>
-           <height>32</height>
-          </size>
-         </property>
-        </widget>
-       </item>
-       <item row="15" column="3" colspan="7">
-        <widget class="QTextEdit" name="textEdit">
-         <property name="maximumSize">
-          <size>
-           <width>16777215</width>
-           <height>100</height>
-          </size>
-         </property>
-        </widget>
-       </item>
-       <item row="14" column="3" colspan="2">
-        <widget class="QListWidget" name="listWidget_3">
-         <property name="maximumSize">
-          <size>
-           <width>400</width>
-           <height>16777215</height>
-          </size>
-         </property>
-        </widget>
-       </item>
-       <item row="23" column="3">
-        <widget class="QComboBox" name="comboBox">
-         <property name="currentText">
-          <string>0</string>
-         </property>
-         <property name="currentIndex">
-          <number>1</number>
-         </property>
-         <item>
-          <property name="text">
-           <string>-1</string>
-          </property>
-         </item>
-         <item>
-          <property name="text">
-           <string>0</string>
-          </property>
-         </item>
-         <item>
-          <property name="text">
-           <string>+1</string>
-          </property>
-         </item>
-        </widget>
-       </item>
-       <item row="0" column="0" rowspan="24">
-        <widget class="QFrame" name="frame_2">
-         <property name="minimumSize">
-          <size>
-           <width>300</width>
-           <height>600</height>
-          </size>
+         <property name="cursor">
+          <cursorShape>ArrowCursor</cursorShape>
          </property>
-         <property name="maximumSize">
-          <size>
-           <width>300</width>
-           <height>16777215</height>
-          </size>
+         <property name="layoutDirection">
+          <enum>Qt::LeftToRight</enum>
          </property>
-         <property name="frameShape">
-          <enum>QFrame::StyledPanel</enum>
+         <property name="text">
+          <string>Submitter</string>
          </property>
-         <property name="frameShadow">
-          <enum>QFrame::Raised</enum>
+         <property name="alignment">
+          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
-         <layout class="QGridLayout" name="gridLayout_3">
-          <item row="0" column="0">
-           <widget class="QLineEdit" name="lineEdit"/>
-          </item>
-          <item row="1" column="0">
-           <widget class="QListWidget" name="listWidget"/>
-          </item>
-         </layout>
         </widget>
        </item>
-       <item row="14" column="5" colspan="5">
-        <widget class="QTreeWidget" name="treeWidget_comment">
-         <column>
-          <property name="text">
-           <string>#</string>
-          </property>
-         </column>
-         <column>
-          <property name="text">
-           <string>karma</string>
-          </property>
-         </column>
-         <column>
-          <property name="text">
-           <string>user</string>
-          </property>
-         </column>
-         <column>
-          <property name="text">
-           <string>comment</string>
-          </property>
-         </column>
-        </widget>
-       </item>
-       <item row="9" column="4">
-        <widget class="QLabel" name="Release">
+       <item row="9" column="5">
+        <widget class="QLabel" name="Request_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <weight>50</weight>
-           <bold>false</bold>
+           <weight>75</weight>
+           <bold>true</bold>
            <kerning>true</kerning>
           </font>
          </property>
@@ -278,20 +149,20 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>F30</string>
+          <string>Request</string>
          </property>
          <property name="alignment">
-          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
+          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="10" column="4">
-        <widget class="QLabel" name="Date_submitted">
+       <item row="8" column="5">
+        <widget class="QLabel" name="Status_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <weight>50</weight>
-           <bold>false</bold>
+           <weight>75</weight>
+           <bold>true</bold>
            <kerning>true</kerning>
           </font>
          </property>
@@ -302,15 +173,15 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>xxx Days</string>
+          <string>Status</string>
          </property>
          <property name="alignment">
-          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
+          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="12" column="4">
-        <widget class="QLabel" name="Karma">
+       <item row="9" column="6">
+        <widget class="QLabel" name="Request">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -326,15 +197,22 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>0</string>
+          <string/>
          </property>
          <property name="alignment">
           <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="12" column="5">
-        <widget class="QLabel" name="Submitter_static">
+       <item row="7" column="3" colspan="7">
+        <widget class="QLabel" name="Release_notes">
+         <property name="text">
+          <string>TextLabel</string>
+         </property>
+        </widget>
+       </item>
+       <item row="9" column="3">
+        <widget class="QLabel" name="Date_static">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -350,20 +228,20 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Submitter</string>
+          <string>date submitted</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="10" column="5">
-        <widget class="QLabel" name="Request_static">
+       <item row="8" column="4">
+        <widget class="QLabel" name="Release">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <weight>75</weight>
-           <bold>true</bold>
+           <weight>50</weight>
+           <bold>false</bold>
            <kerning>true</kerning>
           </font>
          </property>
@@ -374,15 +252,15 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Request</string>
+          <string>F30</string>
          </property>
          <property name="alignment">
-          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="12" column="6">
-        <widget class="QLabel" name="Submit_user">
+       <item row="11" column="4">
+        <widget class="QLabel" name="Karma">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -398,20 +276,20 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Username</string>
+          <string>0</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="9" column="5">
-        <widget class="QLabel" name="Status_static">
+       <item row="9" column="4">
+        <widget class="QLabel" name="Date_submitted">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
-           <weight>75</weight>
-           <bold>true</bold>
+           <weight>50</weight>
+           <bold>false</bold>
            <kerning>true</kerning>
           </font>
          </property>
@@ -422,39 +300,126 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string>Status</string>
+          <string>xxx Days</string>
          </property>
          <property name="alignment">
-          <set>Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter</set>
+          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
-       <item row="9" column="6">
-        <widget class="QLabel" name="Status">
+       <item row="5" column="3" colspan="4">
+        <widget class="QLabel" name="Package_name_main">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
+           <pointsize>22</pointsize>
            <weight>50</weight>
            <bold>false</bold>
-           <kerning>true</kerning>
           </font>
          </property>
-         <property name="cursor">
-          <cursorShape>ArrowCursor</cursorShape>
+         <property name="text">
+          <string>Package Name</string>
          </property>
-         <property name="layoutDirection">
-          <enum>Qt::LeftToRight</enum>
+        </widget>
+       </item>
+       <item row="6" column="3">
+        <widget class="QLabel" name="Package_breif">
+         <property name="font">
+          <font>
+           <family>OpenSymbol</family>
+           <pointsize>12</pointsize>
+           <weight>50</weight>
+           <bold>false</bold>
+          </font>
          </property>
          <property name="text">
-          <string>Testing</string>
+          <string>breif</string>
          </property>
-         <property name="alignment">
-          <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
+        </widget>
+       </item>
+       <item row="13" column="5" colspan="5">
+        <widget class="QTreeWidget" name="treeWidget_comment">
+         <column>
+          <property name="text">
+           <string>#</string>
+          </property>
+         </column>
+         <column>
+          <property name="text">
+           <string>karma</string>
+          </property>
+         </column>
+         <column>
+          <property name="text">
+           <string>user</string>
+          </property>
+         </column>
+         <column>
+          <property name="text">
+           <string>comment</string>
+          </property>
+         </column>
+        </widget>
+       </item>
+       <item row="14" column="3" colspan="7">
+        <widget class="QTextEdit" name="textEdit">
+         <property name="maximumSize">
+          <size>
+           <width>16777215</width>
+           <height>100</height>
+          </size>
          </property>
         </widget>
        </item>
-       <item row="10" column="6">
-        <widget class="QLabel" name="Request">
+       <item row="13" column="3" colspan="2">
+        <widget class="QListWidget" name="listWidget_3">
+         <property name="maximumSize">
+          <size>
+           <width>400</width>
+           <height>16777215</height>
+          </size>
+         </property>
+        </widget>
+       </item>
+       <item row="0" column="0" rowspan="23">
+        <widget class="QFrame" name="frame_2">
+         <property name="minimumSize">
+          <size>
+           <width>300</width>
+           <height>600</height>
+          </size>
+         </property>
+         <property name="maximumSize">
+          <size>
+           <width>300</width>
+           <height>16777215</height>
+          </size>
+         </property>
+         <property name="frameShape">
+          <enum>QFrame::StyledPanel</enum>
+         </property>
+         <property name="frameShadow">
+          <enum>QFrame::Raised</enum>
+         </property>
+         <layout class="QGridLayout" name="gridLayout_3">
+          <item row="0" column="0">
+           <widget class="QLineEdit" name="lineEdit"/>
+          </item>
+          <item row="1" column="0">
+           <widget class="QListWidget" name="listWidget"/>
+          </item>
+         </layout>
+        </widget>
+       </item>
+       <item row="22" column="6" colspan="2">
+        <widget class="QPushButton" name="pushButton">
+         <property name="text">
+          <string>Submit</string>
+         </property>
+        </widget>
+       </item>
+       <item row="8" column="6">
+        <widget class="QLabel" name="Status">
          <property name="font">
           <font>
            <family>OpenSymbol</family>
@@ -470,20 +435,51 @@
           <enum>Qt::LeftToRight</enum>
          </property>
          <property name="text">
-          <string/>
+          <string>Testing</string>
          </property>
          <property name="alignment">
           <set>Qt::AlignLeading|Qt::AlignLeft|Qt::AlignVCenter</set>
          </property>
         </widget>
        </item>
+       <item row="22" column="3">
+        <widget class="QComboBox" name="comboBox">
+         <property name="currentText">
+          <string>0</string>
+         </property>
+         <property name="currentIndex">
+          <number>1</number>
+         </property>
+         <item>
+          <property name="text">
+           <string>-1</string>
+          </property>
+         </item>
+         <item>
+          <property name="text">
+           <string>0</string>
+          </property>
+         </item>
+         <item>
+          <property name="text">
+           <string>+1</string>
+          </property>
+         </item>
+        </widget>
+       </item>
+       <item row="1" column="3">
+        <widget class="QLabel" name="UpdateType">
+         <property name="text">
+          <string>TextLabel</string>
+         </property>
+        </widget>
+       </item>
       </layout>
       <zorder>Karma_static</zorder>
       <zorder>frame_2</zorder>
       <zorder>Package_breif</zorder>
       <zorder>textEdit</zorder>
       <zorder>listWidget_3</zorder>
-      <zorder>UpdateType</zorder>
       <zorder>Package_name_main</zorder>
       <zorder>Release_static</zorder>
       <zorder>Date_static</zorder>
@@ -500,6 +496,7 @@
       <zorder>Status_static</zorder>
       <zorder>Status</zorder>
       <zorder>Request</zorder>
+      <zorder>UpdateType</zorder>
      </widget>
     </item>
     <item row="0" column="1">
